Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.mw.wst.service
Class JaxRPCHeaderContextProcessor

    java.lang.Object
      com.arjuna.mw.wst.service.JaxRPCHeaderContextProcessor

All Implemented Interfaces:
  javax.xml.rpc.handler.Handler

public class JaxRPCHeaderContextProcessor
extends java.lang.Object
implements javax.xml.rpc.handler.Handler

The class is used to perform WS-Transaction context insertion and extraction for application level SOAP messages using JaxRPC.

Constructor Summary
`JaxRPCHeaderContextProcessor()`

Method Summary
`void` | `destroy()` Destroy the handler.
`javax.xml.namespace.QName[]` | `getHeaders()` Get the headers.
`boolean` | `handleFault(javax.xml.rpc.handler.MessageContext messageContext)` Handle the fault.
`boolean` | `handleRequest(javax.xml.rpc.handler.MessageContext messageContext)` Handle the request.
`boolean` | `handleResponse(javax.xml.rpc.handler.MessageContext messageContext)` Handle the response.
`void` | `init(javax.xml.rpc.handler.HandlerInfo handlerInfo)` Initialise the handler information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxRPCHeaderContextProcessor

    public JaxRPCHeaderContextProcessor()

Method Detail

### init

    public void init(javax.xml.rpc.handler.HandlerInfo handlerInfo)

  Initialise the handler information.

  Specified by:
    `init` in interface `javax.xml.rpc.handler.Handler`
  Parameters:
    `handlerInfo` - The handler information.

### destroy

    public void destroy()

  Destroy the handler.

  Specified by:
    `destroy` in interface `javax.xml.rpc.handler.Handler`

### getHeaders

    public javax.xml.namespace.QName[] getHeaders()

  Get the headers.

  Specified by:
    `getHeaders` in interface `javax.xml.rpc.handler.Handler`
  Returns:
    the headers.

### handleRequest

    public boolean handleRequest(javax.xml.rpc.handler.MessageContext messageContext)

  Handle the request.

  Specified by:
    `handleRequest` in interface `javax.xml.rpc.handler.Handler`
  Parameters:
    `messageContext` - The current message context.

### handleResponse

    public boolean handleResponse(javax.xml.rpc.handler.MessageContext messageContext)

  Handle the response.

  Specified by:
    `handleResponse` in interface `javax.xml.rpc.handler.Handler`
  Parameters:
    `messageContext` - The current message context.

### handleFault

    public boolean handleFault(javax.xml.rpc.handler.MessageContext messageContext)

  Handle the fault.

  Specified by:
    `handleFault` in interface `javax.xml.rpc.handler.Handler`
  Parameters:
    `messageContext` - The current message context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD